# 32/64bit spec-file
#
%define version   1.5.7
%define release   %mkrel 3

%define anthy_version      6620
%define m17n_lib_version   1.6.0

%define uim_major 6
%define libname_orig lib%{name}
%define libname %mklibname %{name} %uim_major
%define develname %mklibname -d %{name}

%define custom_major 2
%define libcustom_orig libuim-custom
%define libcustom %mklibname uim-custom %custom_major

%define gcroots_major 0
%define libgcroots_orig libgcroots
%define libgcroots %mklibname gcroots %gcroots_major

%define scm_major 0
%define libscm %mklibname uim-scm %scm_major

%define with_qt3 0
%{?_with_qt3: %{expand: %%global with_qt3 1}}

Name:      uim
Summary:   Multilingual input method library 
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   BSD and LGPLv2+ and (BSD or LGPLv2)
URL:       http://code.google.com/p/uim/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:   http://uim.googlecode.com/files/%name-%version.tar.bz2
Patch0:    uim-1.5.4-pkgconfig-qt3.patch
Patch1:    uim-1.5.5-fix-str-fmt.patch
Patch3:	   uim-1.5.7-fix-linkage.patch
Requires:        anthy >= %{anthy_version}
Requires:        m17n-lib >= %{m17n_lib_version}
Requires:        skkdic
Requires(post):   %_bindir/gtk-query-immodules-2.0
Requires(postun): %_bindir/gtk-query-immodules-2.0
Obsoletes:       uim-anthy, uim-m17nlib, uim-prime, uim-skk
Provides:        uim-anthy, uim-m17nlib, uim-prime, uim-skk
BuildRequires:   gtk+2-devel >= 2.4.0
BuildRequires:   libgnome2-devel gnomeui2-devel
##BuildRequires:   gnome-panel-devel
BuildRequires:	 %{_lib}glade2.0_0-devel
BuildRequires:   m17n-lib-devel >= %{m17n_lib_version}
BuildRequires:   m17n-db
BuildRequires:   anthy-devel >= %{anthy_version}
BuildRequires:   intltool
BuildRequires:   libncurses-devel, automake
BuildRequires:   qt4-devel
BuildRequires:	 ed
BuildRequires:	 libtool
Provides:   %{libname_orig} = %{version}-%{release}
Provides:  uim-applet-gtk
Provides:  uim-applet = %{version}
Requires:  qt4-common
Obsoletes:	libuim1
Obsoletes:	uim < %version
Obsoletes:	uim-gtk
Obsoletes:	uim-qt
Obsoletes:	uim-qtimmodule


%description
Uim is a multilingual input method library. Uim's project goal is 
to provide secure and useful input method for all languages.


%if %{with_qt3}
%package   qt
Summary:   KDE helper for uim
Group:     System/Internationalization
Requires:  %{name} = %{version}
Requires:  qt3 > 3.3.4-9mdk
BuildRequires: qt3-devel
Provides:  uim-applet = %{version}

%description qt
KDE helper for uim. It contains some apps like toolbar,
system tray, applet, candidate window for Uim library.
%endif

%package devel
Summary:    Headers of uim for development
Group:      Development/C
Requires:   %{name} = %{version}
Provides:   %{name}-devel = %{version}-%{release}
Provides:   %{libname_orig}-devel = %{version}-%{release}
Obsoletes:  libuim1-devel


%description devel
Headers of %{name} for development.


%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch3 -p0

%build
./autogen.sh
export QMAKE4=%{qt4bin}/qmake
%configure2_5x \
   --disable-static \
   --without-anthy \
   --with-anthy-utf8 \
   --with-m17nlib \
   --without-canna \
   --without-prime \
   --without-scim \
   --without-eb \
%if %{with_qt3}
   --with-qt \
   --with-qt-immodule \
%endif
   --with-qt4-immodule \
   --enable-dict \
   --disable-warnings-into-error

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find %{buildroot} -name *.la | xargs rm
rm -rf %{buildroot}%{_datadir}/doc/sigscheme

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules

%postun
/sbin/ldconfig
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules


%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%doc sigscheme/doc/*
%{_bindir}/uim-el*-agent
%{_bindir}/uim-fep*
%{_bindir}/uim-module-manager
%{_bindir}/uim-sh
%{_bindir}/uim-xim
%{_bindir}/uim-m17nlib-relink-icons
%{_datadir}/applications/*
%{_datadir}/emacs/site-lisp/uim-el/*.el
%{_mandir}/man1/*
%dir %{_datadir}/uim
%{_datadir}/uim/*.scm
%{_datadir}/uim/helperdata/*
%{_datadir}/uim/lib/*.scm
%{_datadir}/uim/pixmaps/*
%{_libdir}/uim-helper-server
#%ifarch %{ix86}
#%{_libdir}/bonobo/servers/*.server
#%{_libexecdir}/uim-toolbar-applet
#%endif
%{_libdir}/uim/plugin/libuim-*.so
%{_libdir}/libuim.so.%{uim_major}*
%{_libdir}/libgcroots.so.%{gcroots_major}*
%{_libdir}/libuim-custom.so.%{custom_major}*
%{_libdir}/libuim-scm.so.%{scm_major}*
%{_bindir}/uim-*-gtk*
%{_bindir}/uim-input-pad-ja
%{_libdir}/uim-candwin-gtk
%{_libdir}/gtk-2.0/*/immodules/*.so
%{qt4plugins}/inputmethods/*.so
%{_datadir}/locale/*/LC_MESSAGES/uim.mo

%if %{with_qt3}
%files qt -f uim-chardict-qt.lang
%defattr(-,root,root)
%doc COPYING
%{_bindir}/uim-*-qt*
%{_libdir}/uim-candwin-qt
%{qt3plugins}/inputmethods/*.so
%endif

%files devel
%defattr(-,root,root)
%doc COPYING
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Sep 10 2013 pinoc <vogtpet at gmail.com> 1.5.7-3pclos2013
- removed BR gnome-panel

* Mon Feb 04 2013 pinoc <vogtpet at gmail.com> 1.5.7-2pclos2013
- rebuild on 64

* Wed May 12 2010 Texstar <texstar at gmail.com> 1.5.7-1pclos2010
- update for 2010 release

